"use strict";Object.defineProperty(exports, "__esModule", {value: true});



var _chunkNmXTb2Ijs = require('./chunk.-NmXTb2I.js');

// node_modules/env-paths/index.js
var require_env_paths = _chunkNmXTb2Ijs.__commonJS.call(void 0, (exports, module) => {
  "use strict";
  const path23 = require("path");
  const os8 = require("os");
  const homedir = os8.homedir();
  const tmpdir2 = os8.tmpdir();
  const {env} = process;
  const macos = (name) => {
    const library = path23.join(homedir, "Library");
    return {
      data: path23.join(library, "Application Support", name),
      config: path23.join(library, "Preferences", name),
      cache: path23.join(library, "Caches", name),
      log: path23.join(library, "Logs", name),
      temp: path23.join(tmpdir2, name)
    };
  };
  const windows = (name) => {
    const appData = env.APPDATA || path23.join(homedir, "AppData", "Roaming");
    const localAppData = env.LOCALAPPDATA || path23.join(homedir, "AppData", "Local");
    return {
      data: path23.join(localAppData, name, "Data"),
      config: path23.join(appData, name, "Config"),
      cache: path23.join(localAppData, name, "Cache"),
      log: path23.join(localAppData, name, "Log"),
      temp: path23.join(tmpdir2, name)
    };
  };
  const linux = (name) => {
    const username = path23.basename(homedir);
    return {
      data: path23.join(env.XDG_DATA_HOME || path23.join(homedir, ".local", "share"), name),
      config: path23.join(env.XDG_CONFIG_HOME || path23.join(homedir, ".config"), name),
      cache: path23.join(env.XDG_CACHE_HOME || path23.join(homedir, ".cache"), name),
      log: path23.join(env.XDG_STATE_HOME || path23.join(homedir, ".local", "state"), name),
      temp: path23.join(tmpdir2, username, name)
    };
  };
  const envPaths2 = (name, options) => {
    if (typeof name !== "string") {
      throw new TypeError(`Expected string, got ${typeof name}`);
    }
    options = Object.assign({suffix: "nodejs"}, options);
    if (options.suffix) {
      name += `-${options.suffix}`;
    }
    if (process.platform === "darwin") {
      return macos(name);
    }
    if (process.platform === "win32") {
      return windows(name);
    }
    return linux(name);
  };
  module.exports = envPaths2;
  module.exports.default = envPaths2;
});

// node_modules/dot-prop/node_modules/is-obj/index.js
var require_is_obj = _chunkNmXTb2Ijs.__commonJS.call(void 0, (exports, module) => {
  "use strict";
  module.exports = (value) => {
    const type = typeof value;
    return value !== null && (type === "object" || type === "function");
  };
});

// node_modules/dot-prop/index.js
var require_dot_prop = _chunkNmXTb2Ijs.__commonJS.call(void 0, (exports, module) => {
  "use strict";
  const isObj = require_is_obj();
  const disallowedKeys = [
    "__proto__",
    "prototype",
    "constructor"
  ];
  const isValidPath = (pathSegments) => !pathSegments.some((segment) => disallowedKeys.includes(segment));
  function getPathSegments(path23) {
    const pathArray = path23.split(".");
    const parts = [];
    for (let i = 0; i < pathArray.length; i++) {
      let p = pathArray[i];
      while (p[p.length - 1] === "\\" && pathArray[i + 1] !== void 0) {
        p = p.slice(0, -1) + ".";
        p += pathArray[++i];
      }
      parts.push(p);
    }
    if (!isValidPath(parts)) {
      return [];
    }
    return parts;
  }
  module.exports = {
    get(object, path23, value) {
      if (!isObj(object) || typeof path23 !== "string") {
        return value === void 0 ? object : value;
      }
      const pathArray = getPathSegments(path23);
      if (pathArray.length === 0) {
        return;
      }
      for (let i = 0; i < pathArray.length; i++) {
        if (!Object.prototype.propertyIsEnumerable.call(object, pathArray[i])) {
          return value;
        }
        object = object[pathArray[i]];
        if (object === void 0 || object === null) {
          if (i !== pathArray.length - 1) {
            return value;
          }
          break;
        }
      }
      return object;
    },
    set(object, path23, value) {
      if (!isObj(object) || typeof path23 !== "string") {
        return object;
      }
      const root = object;
      const pathArray = getPathSegments(path23);
      for (let i = 0; i < pathArray.length; i++) {
        const p = pathArray[i];
        if (!isObj(object[p])) {
          object[p] = {};
        }
        if (i === pathArray.length - 1) {
          object[p] = value;
        }
        object = object[p];
      }
      return root;
    },
    delete(object, path23) {
      if (!isObj(object) || typeof path23 !== "string") {
        return;
      }
      const pathArray = getPathSegments(path23);
      for (let i = 0; i < pathArray.length; i++) {
        const p = pathArray[i];
        if (i === pathArray.length - 1) {
          delete object[p];
          return;
        }
        object = object[p];
        if (!isObj(object)) {
          return;
        }
      }
    },
    has(object, path23) {
      if (!isObj(object) || typeof path23 !== "string") {
        return false;
      }
      const pathArray = getPathSegments(path23);
      if (pathArray.length === 0) {
        return false;
      }
      for (let i = 0; i < pathArray.length; i++) {
        if (isObj(object)) {
          if (!(pathArray[i] in object)) {
            return false;
          }
          object = object[pathArray[i]];
        } else {
          return false;
        }
      }
      return true;
    }
  };
});

// src/store.ts
const env_paths = _chunkNmXTb2Ijs.__toModule.call(void 0, require_env_paths());
const dot_prop = _chunkNmXTb2Ijs.__toModule.call(void 0, require_dot_prop());
var _path = require('path');
var _fs = require('fs');
const configDir = env_paths.default("sao").config;
const storePath = _path.join.call(void 0, configDir, "config.json");
_chunkNmXTb2Ijs.logger2.debug("Store path:", storePath);
try {
  _fs.mkdirSync.call(void 0, configDir, {recursive: true});
} catch (error8) {
  console.error(error8);
}
class Store {
  constructor() {
    this.data = this.read();
  }
  read() {
    try {
      return JSON.parse(_fs.readFileSync.call(void 0, storePath, "utf8"));
    } catch (_5) {
      return {};
    }
  }
  set(key, value) {
    dot_prop.default.set(this.data, key, value);
    _fs.writeFileSync.call(void 0, storePath, JSON.stringify(this.data), "utf8");
  }
  get(key) {
    return dot_prop.default.get(this.data, key);
  }
}
const store2 = new Store();



exports.store2 = store2;
